Imports System.Collections.ObjectModel
Imports System.IO
Imports EgtBEAMWALL.Core
Imports EgtBEAMWALL.DataLayer.DatabaseModels
Imports EgtUILib
Imports EgtWPFLib5

Public Class StatisticsTimePanelVM
   Inherits VMBase

#Region "FIELDS & PROPERTIES"

   Public ReadOnly Property ViewPage_Visibility As Visibility
      Get
         Return If(Map.refMainMenuVM.SelPage = Pages.VIEW, Visibility.Visible, Visibility.Collapsed)
      End Get
   End Property
   Public ReadOnly Property MachiningPage_Visibility As Visibility
      Get
         Return If(Map.refMainMenuVM.SelPage = Pages.MACHINING, Visibility.Visible, Visibility.Collapsed)
      End Get
   End Property

#Region "ToolTip"

   Public ReadOnly Property TotalTime_ToolTip As String
      Get
         Return EgtMsg(61978)
      End Get
   End Property

   Public ReadOnly Property DoneTime_ToolTip As String
      Get
         Return EgtMsg(61979)
      End Get
   End Property

   Public ReadOnly Property RemainingTime_ToolTip As String
      Get
         Return EgtMsg(61980)
      End Get
   End Property

#End Region ' ToolTip

#End Region    ' Fields & Properties

#Region "CONSTRUCTOR"

   Sub New()
      ' Creo riferimento a questa classe in Map
      Map.SetRefStatisticsTimePanelVM(Me)
   End Sub

#End Region    ' CONSTRUCTOR

#Region "METHODS"

   Friend Sub SetStatisticsTimePanel_Visibility()
      NotifyPropertyChanged(NameOf(ViewPage_Visibility))
      NotifyPropertyChanged(NameOf(MachiningPage_Visibility))
   End Sub

#End Region    ' METHODS

End Class
